Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2012-12-30
Initial Package Version: 3.2
Upstream Status:         Not applicable.
Origin:                  Self.
Description:             Fixes installation paths for libraries and documentation as well as
                         package version string.

--- llvm.orig/autoconf/configure.ac	2012-11-21 17:13:35.000000000 +0100
+++ llvm/autoconf/configure.ac	2012-12-30 17:58:36.626079175 +0100
@@ -1545,7 +1545,7 @@
 fi
 eval LLVM_PREFIX="${prefix}";
 eval LLVM_BINDIR="${prefix}/bin";
-eval LLVM_LIBDIR="${prefix}/lib";
+eval LLVM_LIBDIR="${prefix}/lib/llvm";
 eval LLVM_DATADIR="${prefix}/share/llvm";
 eval LLVM_DOCSDIR="${prefix}/share/doc/llvm";
 eval LLVM_ETCDIR="${prefix}/etc/llvm";
--- llvm.orig/bindings/ocaml/Makefile.ocaml	2011-11-09 13:00:39.000000000 +0100
+++ llvm/bindings/ocaml/Makefile.ocaml	2012-12-30 17:58:43.533194428 +0100
@@ -208,7 +208,7 @@
 install-deplibs:
 	$(Verb) $(MKDIR) $(PROJ_libocamldir)
 	$(Verb) for i in $(DestLibs:$(PROJ_libocamldir)/%=%); do \
-	  ln -sf "$(PROJ_libdir)/$$i" "$(PROJ_libocamldir)/$$i"; \
+	  ln -sf "/usr/lib/llvm/$$i" "$(PROJ_libocamldir)/$$i"; \
 	done
 
 uninstall-deplibs:
--- llvm.orig/configure	2012-11-21 17:13:35.000000000 +0100
+++ llvm/configure	2012-12-30 17:58:55.502394137 +0100
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.60 for LLVM 3.2svn.
+# Generated by GNU Autoconf 2.60 for LLVM 3.2.
 #
 # Report bugs to <http://llvm.org/bugs/>.
 #
@@ -561,8 +561,8 @@
 # Identity of this package.
 PACKAGE_NAME='LLVM'
 PACKAGE_TARNAME='llvm'
-PACKAGE_VERSION='3.2svn'
-PACKAGE_STRING='LLVM 3.2svn'
+PACKAGE_VERSION='3.2'
+PACKAGE_STRING='LLVM 3.2'
 PACKAGE_BUGREPORT='http://llvm.org/bugs/'
 
 ac_unique_file="lib/VMCore/Module.cpp"
@@ -1321,7 +1321,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures LLVM 3.2svn to adapt to many kinds of systems.
+\`configure' configures LLVM 3.2 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1387,7 +1387,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of LLVM 3.2svn:";;
+     short | recursive ) echo "Configuration of LLVM 3.2:";;
    esac
   cat <<\_ACEOF
 
@@ -1540,7 +1540,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-LLVM configure 3.2svn
+LLVM configure 3.2
 generated by GNU Autoconf 2.60
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1556,7 +1556,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by LLVM $as_me 3.2svn, which was
+It was created by LLVM $as_me 3.2, which was
 generated by GNU Autoconf 2.60.  Invocation command line was
 
   $ $0 $@
@@ -20844,7 +20844,7 @@
 fi
 eval LLVM_PREFIX="${prefix}";
 eval LLVM_BINDIR="${prefix}/bin";
-eval LLVM_LIBDIR="${prefix}/lib";
+eval LLVM_LIBDIR="${prefix}/lib/llvm";
 eval LLVM_DATADIR="${prefix}/share/llvm";
 eval LLVM_DOCSDIR="${prefix}/share/doc/llvm";
 eval LLVM_ETCDIR="${prefix}/etc/llvm";
@@ -21574,7 +21574,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by LLVM $as_me 3.2svn, which was
+This file was extended by LLVM $as_me 3.2, which was
 generated by GNU Autoconf 2.60.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -21627,7 +21627,7 @@
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-LLVM config.status 3.2svn
+LLVM config.status 3.2
 configured by $0, generated by GNU Autoconf 2.60,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
--- llvm.orig/Makefile.config.in	2012-10-01 20:40:32.000000000 +0200
+++ llvm/Makefile.config.in	2012-12-30 17:58:36.604078808 +0100
@@ -95,10 +95,10 @@
 endif
 
 PROJ_bindir     := $(PROJ_prefix)/bin
-PROJ_libdir     := $(PROJ_prefix)/lib
+PROJ_libdir     := $(PROJ_prefix)/lib/llvm
 PROJ_datadir    := $(PROJ_prefix)/share
-PROJ_docsdir    := $(PROJ_prefix)/docs/llvm
-PROJ_etcdir     := $(PROJ_prefix)/etc/llvm
+PROJ_docsdir    := $(PROJ_prefix)/share/doc/llvm
+PROJ_etcdir     := /etc/llvm
 PROJ_includedir := $(PROJ_prefix)/include
 PROJ_infodir    := $(PROJ_prefix)/info
 PROJ_mandir     := $(PROJ_prefix)/share/man
--- llvm.orig/Makefile.rules	2012-10-12 23:48:14.000000000 +0200
+++ llvm/Makefile.rules	2012-12-30 17:58:48.947284765 +0100
@@ -639,9 +639,9 @@
     ifdef TOOLNAME
       LD.Flags += $(RPATH) -Wl,'$$ORIGIN/../lib'
       ifdef EXAMPLE_TOOL
-        LD.Flags += $(RPATH) -Wl,$(ExmplDir) $(DynamicFlag)
+        LD.Flags +=  $(DynamicFlag)
       else
-        LD.Flags += $(RPATH) -Wl,$(ToolDir) $(DynamicFlag)
+        LD.Flags +=  $(DynamicFlag)
     endif
   endif
 else
--- llvm.orig/tools/llvm-config/llvm-config.cpp	2012-05-16 00:07:18.000000000 +0200
+++ llvm/tools/llvm-config/llvm-config.cpp	2012-12-30 17:58:36.610078908 +0100
@@ -250,7 +250,7 @@
     ActivePrefix = CurrentExecPrefix;
     ActiveIncludeDir = ActivePrefix + "/include";
     ActiveBinDir = ActivePrefix + "/bin";
-    ActiveLibDir = ActivePrefix + "/lib";
+    ActiveLibDir = ActivePrefix + "/lib/llvm";
     ActiveIncludeOption = "-I" + ActiveIncludeDir;
   }
 
